Package org.eclipse.ui.internal

# Class ToggleEditorsVisibilityAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.internal.PerspectiveAction
org.eclipse.ui.internal.ToggleEditorsVisibilityAction

All Implemented Interfaces:
  `IAction`, `ActionFactory.IWorkbenchAction`, `IPerspectiveListener`

public class ToggleEditorsVisibilityAction extends PerspectiveAction implements IPerspectiveListener
Hides or shows the editor area within the current perspective of the workbench page.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`ToggleEditorsVisibilityAction(IWorkbenchWindow window)`
Creates a new `ToggleEditorsVisibilityAction`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Disposes of this action.
`void`
`perspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies this listener that a perspective in the given page has been activated.
`void`
`perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)`
Notifies this listener that a perspective has changed in some way (for example, editor area hidden, perspective reset, view show/hide, editor open/close, etc).
`protected void`
`run(IWorkbenchPage page, IPerspectiveDescriptor persp)`
Runs the action, passing the active page and perspective.

### Methods inherited from class org.eclipse.ui.internal.PerspectiveAction

`getWindow, run`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

## Constructor Details

### ToggleEditorsVisibilityAction

public ToggleEditorsVisibilityAction(IWorkbenchWindow window)
Creates a new `ToggleEditorsVisibilityAction`

Parameters:
  `window` - the window

## Method Details

### perspectiveActivated

public void perspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)
Description copied from interface: `IPerspectiveListener`
Notifies this listener that a perspective in the given page has been activated.

Specified by:
  `perspectiveActivated` in interface `IPerspectiveListener`
Parameters:
  `page` - the page containing the activated perspective
  `perspective` - the perspective descriptor that was activated
See Also:
  - `IWorkbenchPage.setPerspective(org.eclipse.ui.IPerspectiveDescriptor)`

### perspectiveChanged

public void perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)
Description copied from interface: `IPerspectiveListener`
Notifies this listener that a perspective has changed in some way (for example, editor area hidden, perspective reset, view show/hide, editor open/close, etc).

Specified by:
  `perspectiveChanged` in interface `IPerspectiveListener`
Parameters:
  `page` - the page containing the affected perspective
  `perspective` - the perspective descriptor
  `changeId` - one of the `CHANGE_*` constants on IWorkbenchPage

### run

protected void run(IWorkbenchPage page, IPerspectiveDescriptor persp)
Description copied from class: `PerspectiveAction`
Runs the action, passing the active page and perspective.

Specified by:
  `run` in class `PerspectiveAction`
Parameters:
  `page` - the active page
  `persp` - the active perspective

### dispose

public void dispose()
Description copied from interface: `ActionFactory.IWorkbenchAction`
Disposes of this action. Once disposed, this action cannot be used. This operation has no effect if the action has already been disposed.

Specified by:
  `dispose` in interface `ActionFactory.IWorkbenchAction`
Overrides:
  `dispose` in class `PerspectiveAction`